package de.duehl.algorithm.backtracking.eightqueens.unused;

public enum Rank {

    _1_(0),
    _2_(1),
    _3_(2),
    _4_(3),
    _5_(4),
    _6_(5),
    _7_(6),
    _8_(7);

    private final int index;

    private Rank(int index) {
        this.index = index;
    }

    public int getIndex() {
        return index;
    }

    public static Rank getByIndex(int index) {
        for (Rank rank : values()) {
            if (rank.getIndex() == index) {
                return rank;
            }
        }
        throw new IllegalArgumentException("Unknown rank for index " + index);
    }

}
