package de.duehl.swing.ui.components.elements;

import java.text.DecimalFormat;

import javax.swing.JFormattedTextField;
import javax.swing.JTextField;

/**
 * Diese Klasse stellt ein Element mit einer Überschrift links und einem frei bearbeitbaren,
 * numerischen Text rechts daneben dar.
 *
 * @version 1.01     2019-05-23
 * @author Christian Dühl
 */

public class HorizontalNumericTextFieldWithTitle extends HorizontalTextFieldWithTitle {

    public HorizontalNumericTextFieldWithTitle(String title) {
        super(title);
    }

    @Override
    protected JTextField createTextField() {
        return new JFormattedTextField(
                DecimalFormat.getInstance());
    }

}
